﻿@model ViewModels.Support.TicketDetailViewModel

@{
    ViewBag.Title = "Ticket detail";
}

<h2>Ticket #@Request["rowGuid"]</h2>
<br />
<div class="panel panel-primary">
	<div class="panel-heading">
        <h4>@Model.Ticket.Subject</h4>
	</div>
    <div class="panel-body">
        <br />
        @Model.Ticket.Message
        <br /><br />
    </div>
    <div class="panel-footer">
        <div style="padding:5px">
            <div style="float:right">@Html.ShowBoolean(Model.Ticket.IsOpen, "Open", "Closed")</div>
            <div style="float:left"><i class="fa fa-clock-o"></i> @Html.ShowNormalMiladiDateTime(Model.Ticket.CreatedOn)</div>
            <div class="clr"></div>
        </div>
    </div>
</div>

@foreach (var item in Model.TicketReplies)
{
    if (item.TicketReply.SenderIsAdmin)
    {
        <div class="panel panel-info">
            <div class="panel-heading">
                <i class="fa fa-user"></i> Support member
            </div>
            <div class="panel-body">
                @item.TicketReply.Message
            </div>
            <div class="panel-footer">
                <i class="fa fa-clock-o"></i> @Html.ShowNormalMiladiDateTime(item.TicketReply.CreatedOn)
            </div>
        </div>
    }
    else
    {
        <div class="panel panel-success">
            <div class="panel-heading">
                <i class="fa fa-user"></i> @item.SenderFullName
            </div>
            <div class="panel-body">
                @item.TicketReply.Message
            </div>
            <div class="panel-footer">
                <i class="fa fa-clock-o"></i> @Html.ShowNormalMiladiDateTime(item.TicketReply.CreatedOn)
            </div>
        </div>
    }
}


@{  Html.RenderAction("_Reply", new { ticketId = Model.Ticket.Id }); }